<?php

namespace Myriad\Authentication\Lib\Validators;

use Myriad\Authentication\Lib\Requests\IRegistrationRequest;
use Illuminate\Support\Facades\Validator;

class RegistrationRequestValidator implements IRegistrationRequestValidator {

  public function validate(IRegistrationRequest $req) {
    $validator = Validator::make($req->all(), [
      'first_name' => 'required|string|max:255',
      'last_name' => 'required|string|max:255',
      'email' => 'required|string|max:255',
      'email_type' => 'in:home,work',
      'password' => 'required|confirmed|max:255',
      'password_confirmation' => 'required'
    ]);
  }
}
