<?php

Route::group(
  config('authentication.routes.api.group', [
    'prefix' => 'api/v1/auth'
  ]),
  function() {

  Route::post('/register', config('authentication.routes.api.register.email', [
    'uses' => 'Myriad\Authentication\Http\Controllers\RegistrationController@register',
    'as' => 'users.register'
  ]));

  Route::post('/login', config('authentication.routes.api.login.email', [
    'uses' => 'Myriad\Authentication\Http\Controllers\LoginController@login',
    'as' => 'users.login'
  ]));

  Route::post('/verification_code/verify', config('authentication.routes.api.verification_code.verify', [
    'uses' => 'Myriad\Authentication\Http\Controllers\VerificationCodeController@verify',
    'as' => 'verification_code.verify'
  ]));

  Route::post('/verification_code/send', config('authentication.routes.api.verification_code.send', [
    'uses' => 'Myriad\Authentication\Http\Controllers\VerificationCodeController@send',
    'as' => 'verification_code.send'
  ]));

  Route::group([ 'middleware' => config('authentication.routes.api.guard', 'auth:api')], function() {

    Route::get('/me', config('authentication.routes.api.me', [
      'uses' => 'Myriad\Authentication\Http\Controllers\UserController@me',
      'as' => 'users.me'
    ]));

  });

});
